org.apache.naming

## Class ResourceRef

- java.lang.Object
- - javax.naming.Reference
  - - org.apache.naming.ResourceRef

All Implemented Interfaces:
  Serializable, Cloneable

    public class ResourceRef
    extends Reference

Represents a reference address to a resource.

Author:
  Remy Maucherat
See Also:
  Serialized Form

### Field Summary

Fields
`static String` `AUTH` Auth address type.
`static String` `DEFAULT_FACTORY` Default factory for this reference.
`static String` `DESCRIPTION` Description address type.
`static String` `SCOPE` Scope address type.
`static String` `SINGLETON` Is this resource a singleton

### Fields inherited from class javax.naming.Reference

`addrs, classFactory, classFactoryLocation, className`

### Constructor Summary

Constructors
Constructor and Description
`ResourceRef(String resourceClass, String description, String scope, String auth, boolean singleton)` Resource Reference.
`ResourceRef(String resourceClass, String description, String scope, String auth, boolean singleton, String factory, String factoryLocation)` Resource Reference.

### Method Summary

Methods
`String` `getFactoryClassName()` Retrieves the class name of the factory of the object to which this reference refers.
`String` `toString()` Return a String rendering of this object.

### Methods inherited from class javax.naming.Reference

`add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT_FACTORY

    public static final String DEFAULT_FACTORY

Default factory for this reference.

See Also:
  Constant Field Values

#### DESCRIPTION

    public static final String DESCRIPTION

Description address type.

See Also:
  Constant Field Values

#### SCOPE

    public static final String SCOPE

Scope address type.

See Also:
  Constant Field Values

#### AUTH

    public static final String AUTH

Auth address type.

See Also:
  Constant Field Values

#### SINGLETON

    public static final String SINGLETON

Is this resource a singleton

See Also:
  Constant Field Values

### Constructor Detail

#### ResourceRef

    public ResourceRef(String resourceClass,
               String description,
               String scope,
               String auth,
               boolean singleton)

Resource Reference.

Parameters:
  `resourceClass` - Resource class
  `scope` - Resource scope
  `auth` - Resource authentication

#### ResourceRef

    public ResourceRef(String resourceClass,
               String description,
               String scope,
               String auth,
               boolean singleton,
               String factory,
               String factoryLocation)

Resource Reference.

Parameters:
  `resourceClass` - Resource class
  `scope` - Resource scope
  `auth` - Resource authentication

### Method Detail

#### getFactoryClassName

    public String getFactoryClassName()

Retrieves the class name of the factory of the object to which this reference refers.

Overrides:
  `getFactoryClassName` in class `Reference`

#### toString

    public String toString()

Return a String rendering of this object.

Overrides:
  `toString` in class `Reference`